import { NetworkId } from "../constants";

export const STAKING_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0xb22Ad3b4a23EaEA8c06CD151D7C0e3758d0FB580",
};

export const BOND_DEPOSITORY_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x8773AC3258b31D3ACfc99Ffd13768ccB170fcF9f",
};

export const DAO_TREASURY_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x2AAd1EA51044e69756880f580C13a92D910af238",
};

export const FTSO_DAI_LP_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x64B19626bd074cf7B1019798846c363bbA8A0d53",
};

export const FTSO_STNK_LP_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x29965676fc00C3eA9717B2A02739d294399a382e",
}

export const DAI_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0xc7Afd3bC4c74f6E07880447b1759d5d639F2525F",
};

export const WETH_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0xfff9976782d46cc05630d1f6ebab18b2324d6b14",
};

export const GHST_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x4643076087234d9B81974beF1eC9c25F3A0202B9",
};

export const STNK_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x84060da636f5a83f2668ad238f09f8c667a1ec8b",
};

export const FTSO_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0x0eF2E888710E9f1d5E734f9ce30FAD40c832D5F3",
};

export const DISTRIBUTOR_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0xE433D078a555163dC6B53968E72418B6a1618f04",
};

export const GHOST_GOVERNANCE_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]: "0xD40E6442Ee01c234CD8AaF335122CfbB2aec8548",
};

export const BONDING_CALCULATOR_ADDRESSES = {
    [NetworkId.TESTNET_SEPOLIA]:  "0x29a6bb5De7a1049632E107544CaEF05e518451e7",
}

export const UNISWAP_V2_ROUTER = {
    [NetworkId.TESTNET_SEPOLIA]: "0xee567fe1712faf6149d80da1e6934e354124cfe3",
};

export const UNISWAP_V2_FACTORY = {
    [NetworkId.TESTNET_SEPOLIA]: "0xF62c03E08ada871A0bEb309762E260a7a6a880E6",
};
