import { useState, useEffect } from "react";
import { prettifySecondsInDays } from "../../../helpers/timeUtil";

const BondDuration = ({ duration, secondsTo, msg }) => {
    return <>{duration - secondsTo > 0 ? prettifySecondsInDays(duration - secondsTo) : msg ? msg : "Closing"}</>;
};

export default BondDuration;
